public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Alexey Shvetsov" <alexxy@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/pymol/
Date: Sat, 24 Sep 2016 15:56:41 +0000 (UTC)	[thread overview]
Message-ID: <1474732582.bbd5edbc744481ae2f9827b4a424aabcf5957309.alexxy@gentoo> (raw)

commit:     bbd5edbc744481ae2f9827b4a424aabcf5957309
Author:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 24 15:55:43 2016 +0000
Commit:     Alexey Shvetsov <alexxy <AT> gentoo <DOT> org>
CommitDate: Sat Sep 24 15:56:22 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bbd5edbc

sci-chemistry/pymol: Version bump

Package-Manager: portage-2.3.0

 sci-chemistry/pymol/Manifest             |   1 +
 sci-chemistry/pymol/pymol-1.8.2.1.ebuild | 109 +++++++++++++++++++++++++++++++
 2 files changed, 110 insertions(+)

diff --git a/sci-chemistry/pymol/Manifest b/sci-chemistry/pymol/Manifest
index 1d654d7..31c3176 100644
--- a/sci-chemistry/pymol/Manifest
+++ b/sci-chemistry/pymol/Manifest
@@ -1,3 +1,4 @@
 DIST pymol-1.7.0.0.png.xz 5392 SHA256 4c554a5c4f47946b6f7bae00209d5116305162534292735d30ae0794c56a8a0b SHA512 24bb1584b28688f5d5824e938f8500ca9887838adf490b4284c52f8c0da4c5ec4a56051ee80f48e4f34541ab53f9a4e00c849c382f1fd37c232fbea12d700105 WHIRLPOOL 395f978eb9ea3a8f8f39bf0694f71986ac9f8ebb307b90283c53fed85c4412d84e54af472f8646fcbd99c650039cb395a8f02b281168802c73ddb9bad175512b
 DIST pymol-1.7.6.0.tar.xz 6510380 SHA256 31d4924378b38b65fae5b294e0755ee15916f9e845ef2efe5e2421f463bf3b91 SHA512 ff8c37de07e0ed8dc1176224eea439109f2bd5e42b5c08316f5737a2fdcf5a1f267b625c166fa740296c20ef089873ae1ad6cb89b11111e9d3aeda0b6035d55d WHIRLPOOL 3582cc846695ca580a4bcd31db8079f32d3cb0d84b8fa1afeb0b210d7004642bf58eab42cafd552f360a5e20b546e554cf5420b7dd2e8cefa5b956a9453215e2
 DIST pymol-1.7.7.2.tar.xz 6527780 SHA256 fc15fc8fbf23b422c5d19babd20e19b7d7ab8ee9532012c7b3a27b87af44fdae SHA512 faf3715cd6b9e7115f6501fc4480a6f71fe53d3b02b2eeefdd07a57d7c15b3621c05fd3894bb92ac4042edaa224d99c2be7488a762254d069c581974a0146179 WHIRLPOOL b52683ce1dc265fe302c974ccc1bfa9e55365e8502f944cf6527c0071f207fcb54e8b3ad38fd684b66c66f85fa6a03f2f1178b90fd406b9f7561d956c704fb9a
+DIST pymol-v1.8.2.1.tar.bz2 8694029 SHA256 fc5d33d7e36364567462cee19b9b132530a83cbab3fafcf373f2a17f127b3f4e SHA512 c6768ab75f715e48fbaa3d0c0664f717b05212c6d004cacea0e9a79ead98375ae7773b4a5c4c476a3b3731be910e3df585b2980fd97fd3fb2afb5ec91304adce WHIRLPOOL 4ad164a3629e15df12ce75a769e34b1af2f87f68f88988919c0d0e8d80fe4062283102003d222040b9a8f0bd91e756eac494e67477242b48cd04947d34cb7c48

diff --git a/sci-chemistry/pymol/pymol-1.8.2.1.ebuild b/sci-chemistry/pymol/pymol-1.8.2.1.ebuild
new file mode 100644
index 00000000..e86a042
--- /dev/null
+++ b/sci-chemistry/pymol/pymol-1.8.2.1.ebuild
@@ -0,0 +1,109 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="tk"
+
+inherit distutils-r1 eutils fdo-mime flag-o-matic versionator
+
+DESCRIPTION="A Python-extensible molecular graphics system"
+HOMEPAGE="http://www.pymol.org/"
+SRC_URI="
+	https://dev.gentoo.org/~jlec/distfiles/${PN}-1.7.0.0.png.xz
+	mirror://sourceforge/project/${PN}/${PN}/$(get_version_component_range 1-2)/${PN}-v${PV}.tar.bz2
+	"
+# git archive -v --prefix=${P}/ master -o ${P}.tar.xz
+RESTRICT="mirror"
+LICENSE="PSF-2.2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE="web"
+
+DEPEND="
+	dev-python/numpy[${PYTHON_USEDEP}]
+	dev-python/pyopengl[${PYTHON_USEDEP}]
+	media-libs/freeglut
+	media-libs/freetype:2
+	media-libs/glew:0=
+	media-libs/libpng:0=
+	media-video/mpeg-tools
+	sys-libs/zlib
+	virtual/python-pmw[${PYTHON_USEDEP}]
+	!sci-chemistry/pymol-apbs-plugin[${PYTHON_USEDEP}]
+	web? ( !dev-python/webpy[${PYTHON_USEDEP}] )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}"/${PN}
+
+python_prepare_all() {
+	sed \
+		-e "s:\"/usr:\"${EPREFIX}/usr:g" \
+		-e "/ext_comp_args.*+=/s:\[.*\]$:\[\]:g" \
+		-e "/import/s:argparse:argparseX:g" \
+		-i setup.py || die
+
+	sed \
+		-e "s:/opt/local:${EPREFIX}/usr:g" \
+		-e '/ext_comp_args/s:\[.*\]:[]:g' \
+		-i setup.py || die
+
+	append-cxxflags -std=c++0x
+
+	distutils-r1_python_prepare_all
+}
+
+python_install() {
+	distutils-r1_python_install --pymol-path="${EPREFIX}/usr/share/pymol"
+
+	sed \
+		-e '1d' \
+		-e "/APBS_BINARY_LOCATION/s:None:\"${EPREFIX}/usr/bin/apbs\":g" \
+		-e "/APBS_PSIZE_LOCATION/s:None:\"$(python_get_sitedir)/pdb2pqr/src/\":g" \
+		-e "/APBS_PDB2PQR_LOCATION/s:None:\"$(python_get_sitedir)/pdb2pqr/\":g" \
+		-i "${D}/$(python_get_sitedir)"/pmg_tk/startup/apbs_tools.py || die
+}
+
+python_install_all() {
+	distutils-r1_python_install_all
+
+	sed \
+		-e '1i#!/usr/bin/env python' \
+		"${D}/$(python_get_sitedir)"/pymol/__init__.py > "${T}"/${PN} || die
+
+	python_foreach_impl python_doscript "${T}"/${PN}
+
+	# These environment variables should not go in the wrapper script, or else
+	# it will be impossible to use the PyMOL libraries from Python.
+	cat >> "${T}"/20pymol <<- EOF
+		PYMOL_PATH="${EPREFIX}/usr/share/pymol"
+		PYMOL_DATA="${EPREFIX}/usr/share/pymol/data"
+		PYMOL_SCRIPTS="${EPREFIX}/usr/share/pymol/scripts"
+	EOF
+
+	doenvd "${T}"/20pymol
+
+	newicon "${WORKDIR}"/${PN}-1.7.0.0.png ${PN}.png
+	make_desktop_entry ${PN} PyMol ${PN} \
+		"Graphics;Education;Science;Chemistry;" \
+		"MimeType=chemical/x-pdb;chemical/x-mdl-molfile;chemical/x-mol2;chemical/seq-aa-fasta;chemical/seq-na-fasta;chemical/x-xyz;chemical/x-mdl-sdf;"
+
+	if ! use web; then
+		rm -rf "${D}/$(python_get_sitedir)/web" || die
+	fi
+
+	rm -f "${ED}"/usr/share/${PN}/LICENSE || die
+}
+
+pkg_postinst() {
+	fdo-mime_desktop_database_update
+	fdo-mime_mime_database_update
+	optfeature "Electrostatic calculations" sci-chemistry/apbs sci-chemistry/pdb2pqr
+}
+
+pkg_postrm() {
+	fdo-mime_desktop_database_update
+	fdo-mime_mime_database_update
+}


             reply	other threads:[~2016-09-24 15:56 UTC|newest]

Thread overview: 57+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-09-24 15:56 Alexey Shvetsov [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-02 10:24 [gentoo-commits] repo/gentoo:master commit in: sci-chemistry/pymol/ Alexey Shvetsov
2024-11-23 17:31 Andreas Sturmlechner
2024-09-05  4:08 Eli Schwartz
2024-09-05  4:08 Eli Schwartz
2024-05-17 19:21 Alexey Shvetsov
2024-05-13 16:11 Ulrich Müller
2023-07-20 11:31 Pacho Ramos
2023-07-19  8:28 Pacho Ramos
2023-07-19  8:28 Pacho Ramos
2023-06-24 17:44 Pacho Ramos
2023-05-02 18:42 Pacho Ramos
2023-02-07  9:42 Marek Szuba
2023-02-05 21:01 Marek Szuba
2022-07-31  8:27 Sam James
2022-05-22 11:18 Pacho Ramos
2022-04-08  9:54 Alexey Shvetsov
2021-05-20 15:07 Pacho Ramos
2021-05-16 20:41 Alexey Shvetsov
2021-05-02 19:22 Pacho Ramos
2021-01-18 10:14 David Seifert
2021-01-14 23:11 Pacho Ramos
2021-01-06 15:10 Fabian Groffen
2020-11-28 19:36 Alexey Shvetsov
2020-11-27 13:39 Alexey Shvetsov
2020-11-27 13:31 Alexey Shvetsov
2020-10-14 10:43 Alexey Shvetsov
2020-09-07  8:55 David Seifert
2020-08-01 23:20 Andreas Sturmlechner
2020-06-03 21:22 Alexey Shvetsov
2020-03-04 18:02 Alexey Shvetsov
2020-02-07 18:41 Pacho Ramos
2020-01-28 18:24 Michał Górny
2020-01-22 21:50 Michał Górny
2020-01-16  6:39 Michał Górny
2020-01-16  6:39 Michał Górny
2019-09-27 17:33 Michał Górny
2019-06-01  8:40 Alexey Shvetsov
2019-02-26 14:15 Alexey Shvetsov
2018-11-13 10:13 Alexey Shvetsov
2018-11-08 10:05 Alexey Shvetsov
2018-03-29 11:43 Alexey Shvetsov
2017-09-12 22:58 Matt Turner
2017-03-27 14:09 Alexey Shvetsov
2017-02-25 20:56 Justin Lecher
2017-02-14 15:39 Agostino Sarubbo
2017-02-13 11:13 Agostino Sarubbo
2017-02-12 19:51 Justin Lecher
2016-10-23 20:25 Justin Lecher
2015-11-12 16:20 Justin Lecher
2015-11-11 15:01 Agostino Sarubbo
2015-11-11 15:00 Agostino Sarubbo
2015-11-11 11:35 Justin Lecher
2015-11-11 11:35 Justin Lecher
2015-11-11 10:39 Agostino Sarubbo
2015-09-24 10:57 Agostino Sarubbo
2015-08-27 15:01 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1474732582.bbd5edbc744481ae2f9827b4a424aabcf5957309.alexxy@gentoo \
    --to=alexxy@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox